let x = 1;
let y = 2;
let z = x + y;
console.log(x);
console.log(y);
console.log(z);

// let fireE1 = document.createElementNS("h1");
// fireE1.innerHTML = "火元素";
// fire.style.color = "red";
// doucument.body.appendChild(fireE1);
// doucument.body.innerHTML = doucument.body.appendChild(fireE1) + "火元素";

//案例1：前端成功 后端不行
if (document) {
  var document = document || {};
}

if (document) {
  // 创建一个新的 h1 元素
  var h1 = document.createElement("h1");

  // 设置 h1 的内容
  h1.textContent = "火元素";

  // 设置 h1 的样式
  h1.style.color = "red";

  // 将 h1 元素插入到 body 的末尾
  document.body.appendChild(h1);
}

// //案例2 后端可运行前端
// const fs = require("fs");

// let studnetList = [{ name: "XIAOMING" }];

// fs.writeFileSync("student.json", JSON.stringify(studnetList));
// console.log("文件已成功写入！");
